using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Microsoft.WindowsMobile.PocketOutlook;
using Microsoft.WindowsMobile.Forms;

namespace SendSMS_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif
        }

        private void butSendSMS_Click(object sender, EventArgs e)
        {
            ChooseContactDialog contactDialog = new ChooseContactDialog();
            contactDialog.Title = "Выберите получателя";
            if (contactDialog.ShowDialog() == DialogResult.OK)
            {
                // Создаем SMS-сообщение
                SmsMessage message = new SmsMessage(
                contactDialog.SelectedContact.MobileTelephoneNumber, 
                "Купи хлеба. Жена");
                 message.RequestDeliveryReport = true;
                // Посылаем сообщение 
                message.Send();
            }

        }

        private void butSendSMS2_Click(object sender, EventArgs e)
        {
            SmsMessage message = new SmsMessage();
            // Номер получателя
            message.To.Add(new Recipient("456"));
            // Текст сообщения
            message.Body = "Call me";
            // Посылаем сообщение 
            message.Send();
        }
    }
}